<?php

namespace classes;

use interfaces\image_processor_i;
use traits\image_processor_t;

class image_processor implements image_processor_i
{
    use image_processor_t;


    /**
     * @inheritDoc
     */
    public function process_image(array $params): bool
    {
        echo "Processing image with parameters: " . json_encode($params) . "\n";
        return true; // Simulate successful processing
    }

}